depends = ('ITKPyBase', 'ITKStatistics', 'ITKSmoothing', 'ITKImageStatistics', 'ITKImageSources', 'ITKCommon', )
templates = (
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('VarianceImageFilter', 'itk::VarianceImageFilter', 'itkVarianceImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('NonLocalPatchBasedImageFilter', 'itk::NonLocalPatchBasedImageFilter', 'itkNonLocalPatchBasedImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('AdaptiveNonLocalMeansDenoisingImageFilter', 'itk::AdaptiveNonLocalMeansDenoisingImageFilter', 'itkAdaptiveNonLocalMeansDenoisingImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
)
